Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deLog.cpp File Reference

Error and Logging Class. More...

`#include <windows.h>`
`#include "deLogDestiny.hpp"`
`#include "deArray.hpp"`

Include dependency graph for deLog.cpp:

## Functions
deBoolean | ProcessRegistryEntries (void)
deBoolean | LoadErrorMessages (deTArray< deString * > Array, deConfigFile *ConfigFile)
deBoolean | CreateLog (void)
deBoolean | DestroyLog (void)
BOOL WINAPI | IdeLog_DllMain (HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
IdeLog * | GetIdeLogInterface (char *LogName)
## Variables
char | DestinyLogType [] = "Destiny"
deConfigFile * | ConfigFile = NULL
deTArray< deString * > | DestinyErrors
deTArray< deString * > | UserErrors
char | ErrorFileDir [_MAX_PATH+1] = ""
char | LogFileDir [_MAX_PATH+1] = ""
IdeLog * | deLog = NULL
char * | LogType = NULL
char | GlobalLogName [120]
int | deLogProcessCount = 0

## Detailed Description

Error and Logging Class.

Author:
  Hootie

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Dec 2001

Author:
  Hootie

Remarks:
  Creation

## Function Documentation

deBoolean CreateLog | ( | void |  | ) | `[static]`

deBoolean DestroyLog | ( | void |  | ) | `[static]`

IdeLog* GetIdeLogInterface | ( | char * | LogName | ) |

BOOL WINAPI IdeLog_DllMain | ( | HINSTANCE | hinstDLL,
|  | DWORD | fdwReason,
|  | LPVOID | lpvReserved
| ) |

deBoolean LoadErrorMessages | ( | deTArray< deString * > | Array,
|  | deConfigFile * | ConfigFile
| ) | `[static]`

deBoolean ProcessRegistryEntries | ( | void |  | ) | `[static]`

## Variable Documentation

deConfigFile* ConfigFile = NULL

IdeLog* deLog = NULL

int deLogProcessCount = 0

deTArray<deString*> DestinyErrors

char DestinyLogType[] = "Destiny"

char ErrorFileDir[_MAX_PATH + 1] = ""

char GlobalLogName[120]

char LogFileDir[_MAX_PATH + 1] = ""

char* LogType = NULL

deTArray<deString*> UserErrors